#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    short int t;
    cin >> t;
    bool moze[10];
    long int n;
    long long int m;
    long int k;
    for (int i = 0; i < t; i++)
    {
        cin >> n >> m >> k;
        if (((n / k + 1) * (2 * (n % k) + k * (n / k)) / 2) <= m)
        {
             moze[i] = true;
        } 
        else  moze[i] = false;
    }
    for (int i = 0; i < t; i++)
    {
        if (moze[i]) cout << "Tak";
        else cout << "Nie";
        cout << "\n";
    }
    return 0;
}